Bug 871467 (pootle-http24)

Summary: Broken configuration for httpd 2.4
Product: [Fedora] Fedora Reporter: Remi Collet <rcollet>
Component: pootleAssignee: Dwayne Bailey <dwayne>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: dwayne, fedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 07:46:43 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 871373    
Attachments:
Description Flags
pootle.conf none

Description Remi Collet 2012-10-30 09:35:29 EDT
Please review /etc/httpd/conf.d/pootle.conf
Comment 1 Dwayne Bailey 2012-10-30 12:12:46 EDT
Do you have any pointers as to what is broken?
Comment 2 Remi Collet 2012-10-31 01:46:50 EDT
@Dwayne : just look at bug #871373 (blocker of this one) which provides some explanation / example.
Comment 3 Remi Collet 2013-01-07 07:50:15 EST
Created attachment 673990 [details]
pootle.conf

Here is a working httpd configuration which is compatible with both Apache 2.2 and 2.4
Comment 4 Remi Collet 2013-01-07 07:51:33 EST
I have commit the fix, as, even with this configuration pootle seems broken

[Mon Jan 07 14:43:29.597376 2013] [:error] [pid 11724] [client ::1:55284] mod_wsgi (pid=11724): Exception occurred processing WSGI script '/usr/share/pootle/wsgi.py'.
[Mon Jan 07 14:43:29.597421 2013] [:error] [pid 11724] [client ::1:55284] Traceback (most recent call last):
[Mon Jan 07 14:43:29.597440 2013] [:error] [pid 11724] [client ::1:55284]   File "/usr/lib/python2.7/site-packages/django/core/handlers/wsgi.py", line 219, in __call__
[Mon Jan 07 14:43:29.597537 2013] [:error] [pid 11724] [client ::1:55284]     self.load_middleware()
[Mon Jan 07 14:43:29.597549 2013] [:error] [pid 11724] [client ::1:55284]   File "/usr/lib/python2.7/site-packages/django/core/handlers/base.py", line 47, in load_middleware
[Mon Jan 07 14:43:29.597633 2013] [:error] [pid 11724] [client ::1:55284]     raise exceptions.ImproperlyConfigured('Error importing middleware %s: "%s"' % (mw_module, e))
[Mon Jan 07 14:43:29.597655 2013] [:error] [pid 11724] [client ::1:55284] ImproperlyConfigured: Error importing middleware django.contrib.csrf.middleware: "No module named csrf.middleware"
Comment 5 Dwayne Bailey 2013-01-07 08:00:24 EST
Thanks Remi for the conf file.  I'll need to examine the other issue you spotted.
Comment 6 Fedora End Of Life 2013-12-21 04:14:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 07:46:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.